%global enable_tests 1
%global module_name fs-ext

Name:           nodejs-%{module_name}
Version:        0.4.2
Release:        2%{?dist}
Summary:        Extensions to core 'fs' module for Node.js

License:        MIT
URL:            https://github.com/baudehlo/node-fs-ext/
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz

BuildRequires:  node-gyp
BuildRequires:  nodejs-devel
BuildRequires:  npm(nan)

Requires:       npm(nan)

BuildRequires:  nodejs-packaging
ExclusiveArch:  %{ix86} x86_64 %{arm}

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep --caret nan

%build
export CXXFLAGS="%{optflags}"
export NODE_PATH="/usr/lib/node_modules/"
node-gyp rebuild

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}/build
cp -pr fs-ext.js package.json %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -p  build/Release/%{module_name}.node %{buildroot}%{nodejs_sitelib}/%{module_name}/build/
sed -i -e 's|build/Release|build|g' \
    %{buildroot}%{nodejs_sitelib}/%{module_name}/fs-ext.js

# Fix permissions
chmod 755 %{buildroot}%{nodejs_sitelib}/%{module_name}/build/%{module_name}.node

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node tests/test-fs-seek.js
%endif

%files
%doc README.md example.js LICENSE.txt
%{nodejs_sitelib}/%{module_name}

%changelog
* Sun Dec 07 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.2-2
- enable tests
- fix node file permissions

* Sat Dec 06 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.2-1
- Update to 0.4.2
- LICENSE.txt is now added

* Wed Dec 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.1-1
- Initial packaging

